if(NOT (CMAKE_SYSTEM_NAME STREQUAL Emscripten))
  find_package(Boost COMPONENTS random REQUIRED CONFIG)
endif()

file(GLOB_RECURSE PSEMEK_RANDOM_HEADERS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "include/*.hpp")
file(GLOB_RECURSE PSEMEK_RANDOM_SOURCES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "source/*.cpp")

psemek_add_library(psemek-random ${PSEMEK_RANDOM_HEADERS} ${PSEMEK_RANDOM_SOURCES})
target_include_directories(psemek-random PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}/include")
target_link_libraries(psemek-random PUBLIC psemek-util psemek-math Boost::random)
